<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Wed Apr 14 07:24:52 CEST 2021 -->
<title>Station</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-04-14">
<meta name="description" content="declaration: package: fr.ici.dataImporter.transport, class: Station">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":9,"i2":6,"i3":9,"i4":9,"i5":9,"i6":9,"i7":10,"i8":9,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":9,"i15":9,"i16":10,"i17":10,"i18":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Station.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.transport</a></div>
<h1 title="Class Station" class="title">Class Station</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.transport.Station</div>
</div>
<section class="description">
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="BusStation.html" title="class in fr.ici.dataImporter.transport">BusStation</a></code>, <code><a href="SubwayStation.html" title="class in fr.ici.dataImporter.transport">SubwayStation</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="type-name-label">Station</span>
extends java.lang.Object</pre>
<div class="block">IdF Mobilité station objects</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#dailyProfiles">dailyProfiles</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#dailyValidation">dailyValidation</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#folderOut">folderOut</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) org.apache.commons.collections.map.LinkedMap</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#frequentation">frequentation</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String[]&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#idsSTIF">idsSTIF</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lineNames">lineNames</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#name">name</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#wheelchair">wheelchair</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Station</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.io.File,java.io.File,java.io.File)">Station</a></span>&#8203;(java.io.File&nbsp;dailyPProfiles,
java.io.File&nbsp;dailyVValidation,
java.io.File&nbsp;folderOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="table-tab" onclick="show(4);">Abstract Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#calculateFrequency()">calculateFrequency</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>private static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#createTime(int)">createTime</a></span>&#8203;(int&nbsp;i)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>abstract org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateFeature()">generateFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static org.apache.commons.collections.map.LinkedMap</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String%5B%5D)">getAffluence</a></span>&#8203;(java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;stationName,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static org.apache.commons.collections.map.LinkedMap</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String%5B%5D,int)">getAffluence</a></span>&#8203;(java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;stationName,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay,
int&nbsp;hoursSlices)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAffluence(java.io.File,java.io.File,java.util.List,java.util.List,java.lang.String)">getAffluence</a></span>&#8203;(java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDsSTIF,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
java.lang.String&nbsp;dayType)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>static org.apache.commons.lang3.tuple.Pair&lt;java.lang.String,&#8203;java.lang.Double&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getBestAffluence(java.io.File,java.io.File,java.io.File,java.util.List,java.lang.String%5B%5D)">getBestAffluence</a></span>&#8203;(java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay)</code></th>
<td class="col-last">
<div class="block">Seek for the period with the most affluence</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEveningWeekdayAffluence()">getEveningWeekdayAffluence</a></span>()</code></th>
<td class="col-last">
<div class="block">Get the affluence from 7pm to 8pm</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getEveryTypeProfileDay()">getEveryTypeProfileDay</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>java.util.List&lt;java.lang.String[]&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIDsSTIF()">getIDsSTIF</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getLineNames()">getLineNames</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>org.apache.commons.lang3.tuple.Pair&lt;java.lang.String,&#8203;java.lang.Double&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getMaxFrequency(java.lang.String%5B%5D)">getMaxFrequency</a></span>&#8203;(java.lang.String[]&nbsp;typeProfileDay)</code></th>
<td class="col-last">
<div class="block">Determine the frequencies and select their maximum and the moment they are at their maximum</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getMorningWeekdayAffluence()">getMorningWeekdayAffluence</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getName()">getName</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getProfileDayWithoutWorkDay()">getProfileDayWithoutWorkDay</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>private static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#hoursToString(java.util.List)">hoursToString</a></span>&#8203;(java.util.List&lt;java.lang.String&gt;&nbsp;hours)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setIdSTIF(java.util.List)">setIdSTIF</a></span>&#8203;(java.util.List&lt;java.lang.String[]&gt;&nbsp;idSTIF)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i17">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setName(java.lang.String)">setName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i18">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#transformExploitantToCode(java.lang.String)">transformExploitantToCode</a></span>&#8203;(java.lang.String&nbsp;exploitant)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="lineNames">
<h3>lineNames</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">lineNames</span></div>
</section>
</li>
<li>
<section class="detail" id="wheelchair">
<h3>wheelchair</h3>
<div class="member-signature"><span class="return-type">boolean</span>&nbsp;<span class="member-name">wheelchair</span></div>
</section>
</li>
<li>
<section class="detail" id="dailyProfiles">
<h3>dailyProfiles</h3>
<div class="member-signature"><span class="return-type">java.io.File</span>&nbsp;<span class="member-name">dailyProfiles</span></div>
</section>
</li>
<li>
<section class="detail" id="dailyValidation">
<h3>dailyValidation</h3>
<div class="member-signature"><span class="return-type">java.io.File</span>&nbsp;<span class="member-name">dailyValidation</span></div>
</section>
</li>
<li>
<section class="detail" id="folderOut">
<h3>folderOut</h3>
<div class="member-signature"><span class="return-type">java.io.File</span>&nbsp;<span class="member-name">folderOut</span></div>
</section>
</li>
<li>
<section class="detail" id="name">
<h3>name</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">name</span></div>
</section>
</li>
<li>
<section class="detail" id="idsSTIF">
<h3>idsSTIF</h3>
<div class="member-signature"><span class="return-type">java.util.List&lt;java.lang.String[]&gt;</span>&nbsp;<span class="member-name">idsSTIF</span></div>
</section>
</li>
<li>
<section class="detail" id="frequentation">
<h3>frequentation</h3>
<div class="member-signature"><span class="return-type">org.apache.commons.collections.map.LinkedMap</span>&nbsp;<span class="member-name">frequentation</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.io.File,java.io.File,java.io.File)">
<h3>Station</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Station</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyPProfiles,
java.io.File&nbsp;dailyVValidation,
java.io.File&nbsp;folderOut)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Station</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Station</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="generateFeature()">
<h3>generateFeature</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateFeature</span>()
                                                                  throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getMaxFrequency(java.lang.String[])">
<h3>getMaxFrequency</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.apache.commons.lang3.tuple.Pair&lt;java.lang.String,&#8203;java.lang.Double&gt;</span>&nbsp;<span class="member-name">getMaxFrequency</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;typeProfileDay)</span></div>
<div class="block">Determine the frequencies and select their maximum and the moment they are at their maximum</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>typeProfileDay</code> - types of day (see <a href="#getEveryTypeProfileDay()"><code>getEveryTypeProfileDay()</code></a> for every possible types and
            <a href="https://data.iledefrance-mobilites.fr/explore/dataset/validations-sur-le-reseau-de-surface-profils-horaires-par-jour-type-1er-sem/information/">IdF
            website</a> for its explainaiton</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="calculateFrequency()">
<h3>calculateFrequency</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">calculateFrequency</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getEveryTypeProfileDay()">
<h3>getEveryTypeProfileDay</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getEveryTypeProfileDay</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getProfileDayWithoutWorkDay()">
<h3>getProfileDayWithoutWorkDay</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">getProfileDayWithoutWorkDay</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getMorningWeekdayAffluence()">
<h3>getMorningWeekdayAffluence</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">getMorningWeekdayAffluence</span>()
                                  throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getEveningWeekdayAffluence()">
<h3>getEveningWeekdayAffluence</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">getEveningWeekdayAffluence</span>()
                                  throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Get the affluence from 7pm to 8pm</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the affluence</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getBestAffluence(java.io.File,java.io.File,java.io.File,java.util.List,java.lang.String[])">
<h3>getBestAffluence</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.apache.commons.lang3.tuple.Pair&lt;java.lang.String,&#8203;java.lang.Double&gt;</span>&nbsp;<span class="member-name">getBestAffluence</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay)</span>
                                                                                               throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Seek for the period with the most affluence</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>dailyProfiles</code> - File with the daily profile</dd>
<dd><code>dailyValidation</code> - File with the daily validation</dd>
<dd><code>folderOut</code> - folder to</dd>
<dd><code>stationsIDSTIF</code> - </dd>
<dd><code>profilesDay</code> - </dd>
<dt>Returns:</dt>
<dd>the best affluence</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - FileNotFound in <code>Attribute.getIndice(String[], String)</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String[])">
<h3>getAffluence</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.apache.commons.collections.map.LinkedMap</span>&nbsp;<span class="member-name">getAffluence</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;stationName,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay)</span>
                                                                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAffluence(java.io.File,java.io.File,java.io.File,java.lang.String,java.util.List,java.lang.String[],int)">
<h3>getAffluence</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.apache.commons.collections.map.LinkedMap</span>&nbsp;<span class="member-name">getAffluence</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.io.File&nbsp;folderOut,
java.lang.String&nbsp;stationName,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDSTIF,
java.lang.String[]&nbsp;profilesDay,
int&nbsp;hoursSlices)</span>
                                                                 throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAffluence(java.io.File,java.io.File,java.util.List,java.util.List,java.lang.String)">
<h3>getAffluence</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">getAffluence</span>&#8203;(<span class="parameters">java.io.File&nbsp;dailyProfiles,
java.io.File&nbsp;dailyValidation,
java.util.List&lt;java.lang.String[]&gt;&nbsp;stationsIDsSTIF,
java.util.List&lt;java.lang.String&gt;&nbsp;hours,
java.lang.String&nbsp;dayType)</span>
                           throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="createTime(int)">
<h3>createTime</h3>
<div class="member-signature"><span class="modifiers">private static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">createTime</span>&#8203;(<span class="parameters">int&nbsp;i)</span></div>
</section>
</li>
<li>
<section class="detail" id="hoursToString(java.util.List)">
<h3>hoursToString</h3>
<div class="member-signature"><span class="modifiers">private static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">hoursToString</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.String&gt;&nbsp;hours)</span></div>
</section>
</li>
<li>
<section class="detail" id="getName()">
<h3>getName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getName</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setName(java.lang.String)">
<h3>setName</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setName</span>&#8203;(<span class="parameters">java.lang.String&nbsp;name)</span></div>
</section>
</li>
<li>
<section class="detail" id="getIDsSTIF()">
<h3>getIDsSTIF</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String[]&gt;</span>&nbsp;<span class="member-name">getIDsSTIF</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setIdSTIF(java.util.List)">
<h3>setIdSTIF</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setIdSTIF</span>&#8203;(<span class="parameters">java.util.List&lt;java.lang.String[]&gt;&nbsp;idSTIF)</span></div>
</section>
</li>
<li>
<section class="detail" id="getLineNames()">
<h3>getLineNames</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">getLineNames</span>()</div>
</section>
</li>
<li>
<section class="detail" id="transformExploitantToCode(java.lang.String)">
<h3>transformExploitantToCode</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">transformExploitantToCode</span>&#8203;(<span class="parameters">java.lang.String&nbsp;exploitant)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Station.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
